import 'package:http/http.dart' as http;
import 'dart:convert';
import 'package:jwt_decode/jwt_decode.dart';

class ApiClient {
  final String baseUrl = "https://web.mentor.iblai.tech/wp-json";

// Login function
Future<Map<String, dynamic>> login(String username, String password) async {
  final response = await http.post(
    Uri.parse('$baseUrl/api/ibl/v1/authentication/login'),
    body: {'username': username, 'password': password},
  );

  // Decode the response body to get the payload
  var data = json.decode(response.body);

  // Return the decoded data directly
  return data;
}

  // Register function
  Future<dynamic> register(String username, String email, String name, String password) async {
    final response = await http.post(
      Uri.parse('$baseUrl/api/ibl/v1/authentication/register-user'),
      body: {
        'username': username,
        'email': email,
        'name': name,
        'password': password
      },
    );
    return json.decode(response.body);
  }
}
